Subject: [alpine-aports] [PATCH] exfat-utils: upgrade to 1.2.2

From: Michael Koloberdin <[email-masked]>
Date: Mon, 30 Nov 2015 15:17:27 +0000

---
 testing/exfat-utils/APKBUILD             | 42 +++++++++++++++++++-------------
 testing/exfat-utils/musl-not-found.patch | 18 --------------
 2 files changed, 25 insertions(+), 35 deletions(-)
 delete mode 100644 testing/exfat-utils/musl-not-found.patch

diff --git a/testing/exfat-utils/APKBUILD b/testing/exfat-utils/APKBUILD
index 0e848a6..ec6778e 100644
--- a/testing/exfat-utils/APKBUILD
+++ b/testing/exfat-utils/APKBUILD
@@ -1,18 +1,17 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=exfat-utils
-pkgver=1.0.1
-pkgrel=1
-pkgdesc="Free exFAT file system implementation"
-url="http://code.google.com/p/exfat/"
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="Utilities for exFAT file system"
+url="https://github.com/relan/exfat"
 arch="all"
-license="GPL3+"
+license="GPL2+"
 depends=""
 depends_dev=""
-makedepends="$depends_dev scons"
+makedepends="$depends_dev"
 install=""
 subpackages=""
-source="http://exfat.googlecode.com/files/exfat-utils-$pkgver.tar.gz
-	musl-not-found.patch"
+source="https://github.com/relan/exfat/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz"
 
 _builddir="$srcdir"/exfat-utils-$pkgver
 prepare() {
@@ -27,19 +26,28 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	scons -j${JOBS:-2} || return 1
+	
+	./configure --prefix=/usr --sbindir=/usr/bin || return 1
+	make CCFLAGS="${CFLAGS} -std=c99" LINKFLAGS="${LDFLAGS}" \
+		|| return 1
 
 }
 
 package() {
 	cd "$_builddir"
-	install -d "$pkgdir"/sbin
-	scons DESTDIR="$pkgdir"/sbin install || return 1
+	make DESTDIR="${pkgdir}" install || return 1
+
+	# Install man pages
+	install -Dm444 dump/dumpexfat.8 "${pkgdir}/usr/share/man/man8/dumpexfat.8" \
+		|| return 1
+	install -m444 fsck/exfatfsck.8 "${pkgdir}/usr/share/man/man8" \
+		|| return 1
+	install -m444 mkfs/mkexfatfs.8 "${pkgdir}/usr/share/man/man8" \
+		|| return 1
+	install -m444 label/exfatlabel.8 "${pkgdir}/usr/share/man/man8" \
+		|| return 1
 }
 
-md5sums="e592130829d0bf61fa5e3cd1c759d329  exfat-utils-1.0.1.tar.gz
-bd96d8391ba8b2b87b3ce19403f6740b  musl-not-found.patch"
-sha256sums="eeacedca1878065dc3886674ae39cd51149c37bd7d6d7e9325c971a1d1acdab3  exfat-utils-1.0.1.tar.gz
-5376e498358c73eda6b3b439966120f234f2923a2eb5350c4a683e22ed95e7ff  musl-not-found.patch"
-sha512sums="e2716e902110858e33e21395c45881315cbe469cf5192de130031ce989bdcb388944ad22d8588ae1a29d682615809be886086d313d5ab46b3aafa6d356a0e8ac  exfat-utils-1.0.1.tar.gz
-0b6e706595949fc70bb2392ff76489ecad1a99a474000225966086a31d93a7029051c4b027db87e2abeeee536b953d1ed0c0531bc11a902d560528b6fb955837  musl-not-found.patch"
+md5sums="ae918dd8a360f1da2299f3c748c53253  exfat-utils-1.2.2.tar.gz"
+sha256sums="60e33b51db5a8f79b035031bc61b120cdac3075dd27fad156ece4feeb82871f7  exfat-utils-1.2.2.tar.gz"
+sha512sums="bd3c4d57b05aee7064e05a8af7ff8d7a1bf7b9a891d804c45fb6c5fcc19d877b75a25c32cfee462133f203a1bead3a65c40d5e32061b5dc4943f36c2a961c2b8  exfat-utils-1.2.2.tar.gz"
diff --git a/testing/exfat-utils/musl-not-found.patch b/testing/exfat-utils/musl-not-found.patch
deleted file mode 100644
index c5f5bb6..0000000
--- a/testing/exfat-utils/musl-not-found.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- a/libexfat/byteorder.h.orig
-+++ b/libexfat/byteorder.h
-@@ -74,7 +74,14 @@
- #endif
- 
- #else 
--#error No byte order macros available for your platform
-+#include <endian.h>
-+#include <byteswap.h>
-+#define exfat_bswap16(x) bswap_16(x)
-+#define exfat_bswap32(x) bswap_32(x)
-+#define exfat_bswap64(x) bswap_64(x)
-+#define EXFAT_BYTE_ORDER __BYTE_ORDER
-+#define EXFAT_LITTLE_ENDIAN __LITTLE_ENDIAN
-+#define EXFAT_BIG_ENDIAN __BIG_ENDIAN
- #endif
- 
- typedef struct { uint16_t __u16; } le16_t;
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---